
From: Christoph Hellwig <hch@lst.de>

This way we actually share dentries before inodes and thus mark more
inodes reclaimable once we shake them.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/vmscan.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/vmscan.c~put-newly-registered-shrinkers-at-the-tail-of-the-list mm/vmscan.c
--- 25/mm/vmscan.c~put-newly-registered-shrinkers-at-the-tail-of-the-list	2005-03-02 17:45:34.000000000 -0800
+++ 25-akpm/mm/vmscan.c	2005-03-02 17:45:34.000000000 -0800
@@ -138,7 +138,7 @@ struct shrinker *set_shrinker(int seeks,
 	        shrinker->seeks = seeks;
 	        shrinker->nr = 0;
 	        down_write(&shrinker_rwsem);
-	        list_add(&shrinker->list, &shrinker_list);
+	        list_add_tail(&shrinker->list, &shrinker_list);
 	        up_write(&shrinker_rwsem);
 	}
 	return shrinker;
_
